<?php namespace RVR\PersistentData\Model;

use SokoWeb\PersistentData\Model\Model;

class Currency extends Model
{
    protected static string $table = 'currencies';

    protected static array $fields = ['community_id', 'code', 'round_digits'];

    protected static array $relations = ['community' => Community::class];

    private ?Community $community = null;

    private ?int $communityId = null;

    private string $code = '';

    private int $roundDigits = 0;

    public function setCommunity(Community $community): void
    {
        $this->community = $community;
    }

    public function setCommunityId(int $communityId): void
    {
        $this->communityId = $communityId;
    }

    public function setCode(string $code): void
    {
        $this->code = $code;
    }

    public function setRoundDigits(int $roundDigits): void
    {
        $this->roundDigits = $roundDigits;
    }

    public function getCommunity(): ?Community
    {
        return $this->community;
    }

    public function getCommunityId(): ?int
    {
        return $this->communityId;
    }

    public function getCode(): string
    {
        return $this->code;
    }

    public function getRoundDigits(): int
    {
        return $this->roundDigits;
    }
}
