<?php namespace RVR\Repository;

use Generator;
use Container;
use RVR\PersistentData\Model\Currency;
use RVR\PersistentData\Model\CurrencyExchangeRate;
use SokoWeb\Database\Query\Select;

class CurrencyExchangeRateRepository
{
    public function getById(int $id): ?CurrencyExchangeRate
    {
        return \Container::$persistentDataManager->selectFromDbById($id, CurrencyExchangeRate::class);
    }

    public function getAllByCurrency(Currency $currency): Generator
    {
        $select = new Select(Container::$dbConnection);
        $select->where('currency_id', '=', $currency->getId());
        $select->orderBy('valid_from');

        yield from Container::$persistentDataManager->selectMultipleFromDb($select, CurrencyExchangeRate::class);
    }
}
